Updated for 1.1.0.6: configure now checks for aspell.h

This commit is contained in:
Gerald Schmidt 2008-01-20 23:51:40 +00:00
parent 6223b0dd77
commit f3655748bb
3 changed files with 161 additions and 28 deletions

45
INSTALL
View File

@ -1,12 +1,12 @@
How to build wxWidgets How to build wxWidgets (if your distribution doesn't package wxGTK-2.8.x)
========================================== =========================================================================
Download wxGTK-2.8.0 (or higher) from Download wxGTK-2.8.0 (or higher) from
<http://sourceforge.net/project/showfiles.php?group_id=9863&package_id=14076> and unpack. <http://sourceforge.net/project/showfiles.php?group_id=9863&package_id=14076> and unpack.
$ cd wxGTK-2.8.0 $ cd wxGTK-2.8.*
$ mkdir buildstatic $ mkdir build
$ cd buildstatic $ cd build
$ ../configure --enable-unicode $ ../configure --enable-unicode
$ make $ make
$ [as root] make install $ [as root] make install
@ -14,7 +14,20 @@ $ cd contrib/src/stc
$ make $ make
$ [as root] make install $ [as root] make install
NB If you wish to distribute the program in binary form, you may wish to add the flag --disable-shared to the call to configure. Q: Will wxGTK-2.6.x work?
A: Unfortunately not. The program relies on a number of features (notably the docking library wxAUI) that were not available in a stable build of wxGTK until version 2.8.0.
Compiling XML Copy Editor
=========================
To compile the program, do the following:
$ tar -xf xmlcopyeditor*.tar.gz
$ cd xmlcopyeditor*
$ ./configure
$ make
$ sudo make install
That's it! The program should install to /usr/local.
Installing XML Copy Editor Installing XML Copy Editor
========================== ==========================
@ -23,26 +36,6 @@ At first startup, the application tries to locate its data files in /usr/local/s
If you have any questions, please do not hesitate to contact gnschmidt@users.sourceforge.net. If you have any questions, please do not hesitate to contact gnschmidt@users.sourceforge.net.
Fedora Core 5/6 installation
==========================
A binary rpm is available for fc5 users (which also works on fc6), but the build should run without errors using the Makefiles provided. A copy of xmlcopyeditor.spec can be found in the src directory. All suggestions welcome. If you are using Fedora Core 4, you can follow a link from the home page to a separately produced binary rpm.
Arch Linux installation
=======================
David Scholl has kindly prepared a build script for Arch Linux. See http://aur.archlinux.org/packages.php?do_Details=1&ID=6283 for details.
Ubuntu and Slackware
====================
There are binary packages for both Ubuntu and Slackware Linux. Please follow the links on the home page.
Other distributions
===================
If you find that you need to tweak the Makefiles, please consider getting in touch so others can benefit from your effort.
Basic Installation Basic Installation
================== ==================

138
configure vendored
View File

@ -2235,7 +2235,7 @@ fi
# Define the identity of the package. # Define the identity of the package.
PACKAGE=xmlcopyeditor PACKAGE=xmlcopyeditor
VERSION=1.1.0.5 VERSION=1.1.0.6
cat >>confdefs.h <<_ACEOF cat >>confdefs.h <<_ACEOF
@ -19479,6 +19479,142 @@ fi
# Check ASPELL is available
if test "${ac_cv_header_aspell_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for aspell.h" >&5
echo $ECHO_N "checking for aspell.h... $ECHO_C" >&6; }
if test "${ac_cv_header_aspell_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_aspell_h" >&5
echo "${ECHO_T}$ac_cv_header_aspell_h" >&6; }
else
# Is the header compilable?
{ echo "$as_me:$LINENO: checking aspell.h usability" >&5
echo $ECHO_N "checking aspell.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <aspell.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }
# Is the header present?
{ echo "$as_me:$LINENO: checking aspell.h presence" >&5
echo $ECHO_N "checking aspell.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <aspell.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: aspell.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: aspell.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: aspell.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: aspell.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: aspell.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: aspell.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: aspell.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: aspell.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: aspell.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: aspell.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: aspell.h: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: aspell.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: aspell.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: aspell.h: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: aspell.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: aspell.h: in the future, the compiler will take precedence" >&2;}
;;
esac
{ echo "$as_me:$LINENO: checking for aspell.h" >&5
echo $ECHO_N "checking for aspell.h... $ECHO_C" >&6; }
if test "${ac_cv_header_aspell_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_aspell_h=$ac_header_preproc
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_aspell_h" >&5
echo "${ECHO_T}$ac_cv_header_aspell_h" >&6; }
fi
if test $ac_cv_header_aspell_h = yes; then
:
else
{ { echo "$as_me:$LINENO: error: Aspell headers not found" >&5
echo "$as_me: error: Aspell headers not found" >&2;}
{ (exit 1); exit 1; }; }
fi
# Check boost::shared_ptr is available # Check boost::shared_ptr is available
ac_ext=cpp ac_ext=cpp
ac_cpp='$CXXCPP $CPPFLAGS' ac_cpp='$CXXCPP $CPPFLAGS'

View File

@ -1,5 +1,5 @@
AC_INIT(src/xmlcopyeditor.cpp) AC_INIT(src/xmlcopyeditor.cpp)
AM_INIT_AUTOMAKE(xmlcopyeditor, 1.1.0.5) AM_INIT_AUTOMAKE(xmlcopyeditor, 1.1.0.6)
AC_PROG_CXX AC_PROG_CXX
AC_PROG_INSTALL AC_PROG_INSTALL
@ -54,6 +54,10 @@ AC_SUBST(WX_LIBS)
AC_CHECK_HEADER(pcre.h, , AC_CHECK_HEADER(pcre.h, ,
AC_MSG_ERROR([PCRE headers not found])) AC_MSG_ERROR([PCRE headers not found]))
# Check ASPELL is available
AC_CHECK_HEADER(aspell.h, ,
AC_MSG_ERROR([Aspell headers not found]))
# Check boost::shared_ptr is available # Check boost::shared_ptr is available
AC_LANG(C++) AC_LANG(C++)
AC_CHECK_HEADER(boost/shared_ptr.hpp, , AC_CHECK_HEADER(boost/shared_ptr.hpp, ,